FedUp 18 -> 19 Orphans

M A Young m.a.young at durham.ac.uk
Thu Dec 19 22:50:28 UTC 2013


On Thu, 19 Dec 2013, Kevin H. Hobbs wrote:

> # yum install perl-autodie
> ...
> Transaction check error:
>  file /usr/share/man/man3/Fatal.3pm.gz from install of
> perl-autodie-2.16-1.fc19.noarch conflicts with file from package
> perl-4:5.16.3-245.fc18.x86_64
>  file /usr/share/man/man3/autodie.3pm.gz from install of
> perl-autodie-2.16-1.fc19.noarch conflicts with file from package
> perl-4:5.16.3-245.fc18.x86_64
>  file /usr/share/man/man3/autodie::exception.3pm.gz from install of
> perl-autodie-2.16-1.fc19.noarch conflicts with file from package
> perl-4:5.16.3-245.fc18.x86_64
>  file /usr/share/man/man3/autodie::exception::system.3pm.gz from
> install of perl-autodie-2.16-1.fc19.noarch conflicts with file from
> package perl-4:5.16.3-245.fc18.x86_64
>  file /usr/share/man/man3/autodie::hints.3pm.gz from install of
> perl-autodie-2.16-1.fc19.noarch conflicts with file from package
> perl-4:5.16.3-245.fc18.x86_64
>
> because it conflicts with perl from f18...

You need to do both at the same time. Here yum shell is useful as it lets 
you gather a series of yum commands and run them in one batch. Try
something like

yum shell
> remove perl-5.16.3-245.fc18.x86_64
> install perl-autodie
> run
and if that works
> exit

you may need to add other commands as well to sort out the dependencies.

 	Michael Young


More information about the users mailing list